## Variables

Variables are the basic building blocks of a program. They are
effcetively a storage container for data of a certain [type](types.md).
More complex types are built out of a combination of such variables.

### Declaring variables

Declaring variables is very simple and follows the following format:

    <type> <identifier;

You can also assign to a variable whilst declaring it:

    <type> <identifier> = <expression of <type>>;

### Usage

You can update the stored value in a variable as so:

    <identifier> = <expression of <type>>;
